GroupWare Support
-------------------------------------------------------------------------------
GroupWare Support Center Utility                          TechTip

Purpose of this document

This document gives brief information about the Novell GroupWare Support Center Utility and
where the utility can be downloaded.

Troubleshooting Steps / Issue / Problem / etc.
-------------------------------------------------------------------------------
The GroupWare Support Center utility for Novell Shared Code was designed to help assist
customers resolve problems encountered with Novell GroupWare products and Novell
Shared Code 2.x.  Following are some common problems that are resolved by this utility:

1.  Customer installed multiple copies of Shared Code 2.x.  The utility will copy the most
current files from all Shared Code 2.x directories it could find, into one directory and
update the various different initialization files to reflect the consolidated Shared Code
directory.

NOTE: The Shared Code Resolve option should not be run if a customer has a foreign
language version of Shared Code 2.x prior to version 2.3 installed as well as the US English
version 2.3, unless they do the following:  

     The customer must obtain the most current version of the following Shared Code
     files for the language(s) for which they have installed (other than US English):

          WPSH20xx.DLL 
          SHX20xx.DLL 
          WPVW20xx.DLL 
          WPPT20xx.DLL 

     The xx represents the 2 letter Novell international code for the language.  If the
     customer chooses to continue with the Resolve option, the utility will still attempt
     to consolidate the multiple Shared Code directories it found, into one directory. 
     When the consolidation process is completed, the customer should then copy the
     newest Shared Code 2.3 versions of the WPSH20xx.DLL, SHX20xx.DLL,
     WPVW20xx.DLL, WPPT20xx.DLL files they received from Novell into this
     consolidated directory.  If they do not update these files, the older applications that
     used the older Shared Code 2.0-2.2 will not operate properly.

2.  Correct any invalid Shared Code references in the various initialization files (REG.DAT, BIF
Files, etc.)

3.  Verify the existence of any Third Party DLLs referenced in the Public and Private BIFs.

4.  Remove GroupWise, InForms, or SoftSolutions specific information in the Private BIF or
the REG.DAT.

5.  There are other options that give information about various different BIF file settings for
GroupWise, InForms, and SoftSolutions to help with troubleshooting.


A self-extracting ZIP file for the Novell GroupWare Support Center Utility  (GSC41.EXE)
has been released free of charge to the following locations:

NOTE: The GSC41.EXE file will be updated as the need arises.  Please be aware that there
may not be any notification of the update.

  WordPerfect's ftp server (FTP.WORDPERFECT.COM) under the PUB/WPAPPS/GRPWISE
directory.

  CompuServe under WPFILES 13 (GroupWare/InForms) forum library.

  BBS 801-221-5197 - At the Novell, Inc. Support BBS Top Menu, select: 
     F File Libraries, G GroupWare, A GroupWise

  SoftSolutions Public Remote Document Server (RDS) Document #256.  Send message to
Public (or Public@Novell.com for Internet users).  The message body should contain "Get
256".


